
clear screen

connect / AS sysdba

set echo on
set termout on
set feed on

cle col
col Name    for a25
col CName   for a25
col CAbbrev for a25
col Coord.  for a25

clear screen

----------------------------------------------------------

-- RSS Feed (Local Wordpress WebSite)
 
----------------------------------------------------------

SELECT *
FROM XMLTABLE
     (XMLNAMESPACES('http://purl.org/dc/elements/1.1/' AS "MGR")
                ,'//item'
          passing  
       HTTPURITYPE('http://localhost/wordpress/?feed=rss2').getXML()
          columns 
               title varchar2(50) 
                     path '/item/title/text()',
            link  varchar2(50) 
                     path '/item/link/text()',
            publication_date varchar2(50) 
                     path '/item/pubDate/text()',
            creator varchar2(50) 
                     path '/item/MGR:creator/text()',
            description      varchar2(250) 
                     path '/item/description/text()',
            category XMLTYPE      
                     path '/item/category/text()');

pause 

clear screen

-------------------------------------------------------------

-- Getting Info for the Google API via outside IP webservice
 
-------------------------------------------------------------
        
         
host ping www.oracle.com

pause

SELECT *
FROM TABLE (XMLSEQUENCE (EXTRACT 
           (HTTPURITYPE ('http://api.hostip.info/?ip=141.146.8.66').getxml ()
                         , '/HostipLookupResultSet/gml:featureMember/Hostip'
                         , 'xmlns:gml="http://www.opengis.net/gml"
                            xmlns="http://www.hostip.info/api"' ))) t;

pause            
                     
SELECT extractvalue(value(t),'/Hostip/gml:name'
                        , 'xmlns:gml="http://www.opengis.net/gml" 
                           xmlns="http://www.hostip.info/api"')   AS "Name"
,      extractvalue(value(t),'/Hostip/countryName'
                        , 'xmlns:gml="http://www.opengis.net/gml" 
                           xmlns="http://www.hostip.info/api"')   AS "CName"
,      extractvalue(value(t),'/Hostip/countryAbbrev'
                        , 'xmlns:gml="http://www.opengis.net/gml" 
                           xmlns="http://www.hostip.info/api"')   AS "CAbbrev"
,      extractvalue(value(t)
                ,'/Hostip/ipLocation/gml:PointProperty/gml:Point/gml:coordinates'
                        , 'xmlns:gml="http://www.opengis.net/gml" 
                           xmlns="http://www.hostip.info/api"')   AS "Coord."
FROM TABLE (XMLSEQUENCE (EXTRACT 
           (HTTPURITYPE ('http://api.hostip.info/?ip=141.146.8.66').getxml ()
                         , '/HostipLookupResultSet/gml:featureMember/Hostip'
                         , 'xmlns:gml="http://www.opengis.net/gml"
                            xmlns="http://www.hostip.info/api"' ))) t;
